package md

import (
	"applet/app/db/model"
)

type SchemeListResp struct {
	Data           model.Scheme `json:"data"`
	EnterpriseList []struct {
		Name string `json:"name"`
	} `json:"enterprise_list"`
}

type UpdateSchemeStateReq struct {
	Id    int `json:"id" binding:"required" label:"id"`
	State int `json:"state" binding:"required" label:"状态"`
}

type AddSchemeReq struct {
	Name string `json:"name" binding:"required" label:"名称"`
	Memo string `json:"memo" binding:"required" label:"备注"`
}

type UpdateSchemeReq struct {
	Id   int    `json:"id" binding:"required" label:"id"`
	Name string `json:"name" binding:"required" label:"名称"`
	Memo string `json:"memo" binding:"required" label:"备注"`
}

type SchemeBindEnterpriseReq struct {
	Id            int   `json:"id" binding:"required" label:"id"`
	EnterpriseIds []int `json:"enterprise_ids" label:"单位id"`
}

type SaveSchemeGoodsReq struct {
	SchemeId int             `json:"scheme_id" binding:"required" label:"id"`
	GoodsId  int64           `json:"goods_id"` // 商品id
	SkuList  []SaveSchemeSku `json:"sku_list"`
}

type SaveSchemeSku struct {
	SkuId int64  `json:"sku_id"`
	Price string `json:"price"` // 商品id
}
