package router

import (
	"applet/app/ipad/hdl"
	"applet/app/ipad/mw"
	"github.com/gin-gonic/gin"
)

func IpadInit(r *gin.RouterGroup) {
	r.POST("/login", hdl.Login)
	r.Use(mw.Auth)                                   //检测登录状态
	r.GET("order/cate", hdl.OrderCate)               //订单类目
	r.POST("order/list", hdl.Order)                  //订单
	r.GET("order/goods/cate", hdl.OrderCate)         //订单商品类目
	r.POST("order/goods/list", hdl.OrderGoods)       //订单商品
	r.GET("responsible", hdl.Responsible)            //负责人
	r.POST("order/make/begin", hdl.OrderMakeBegin)   //订单开始制作
	r.POST("order/make/end", hdl.OrderMakeEnd)       //订单制作完成
	r.POST("order/baking/end", hdl.OrderBakingEnd)   //订单烘焙完成
	r.POST("order/sorting/end", hdl.OrderSortingEnd) //订单分拣完成

}
