package auth

import (
	"time"

	"github.com/dgrijalva/jwt-go"
)

// TokenExpireDuration is jwt 过期时间
const TokenExpireDuration = time.Hour * 4380

var Secret = []byte("bakery_big_data")

// JWTUser 如果想要保存更多信息，都可以添加到这个结构体中
type JWTUser struct {
	Account  string `json:"account"`
	Password string `json:"password"`
	jwt.StandardClaims
}
